# Send virtual card link POST https://api-sandbox.payabli.com/api/vcard/send-card-link Content-Type: application/json Sends a virtual card link via email to the vendor associated with the `transId`. Reference: https://docs.payabli.com/developers/api-reference/moneyout/send-vcard-link ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: Send virtual card link version: endpoint_moneyOut.SendVCardLink paths: /vcard/send-card-link: post: operationId: send-v-card-link summary: Send virtual card link description: >- Sends a virtual card link via email to the vendor associated with the `transId`. tags: - - subpackage_moneyOut parameters: - name: requestToken in: header required: true schema: type: string responses: '200': description: Response with status 200 content: application/json: schema: $ref: '#/components/schemas/type___moneyOutTypes__:OperationResult' '400': description: Bad request/ invalid data content: {} '401': description: Unauthorized request. content: {} '500': description: Internal API Error content: {} '503': description: Database connection error content: {} requestBody: content: application/json: schema: type: object properties: transId: type: string description: >- The transaction ID of the virtual card payout. The ID is returned as `ReferenceId` in the response when you authorize a payout with POST /MoneyOut/authorize. required: - transId components: schemas: type___moneyOutTypes__:OperationResult: type: object properties: message: type: string description: >- Message describing the result. If the virtual card link was sent successfully, this contains the email address to which the link was sent. success: type: boolean description: Indicates whether the operation was successful. required: - success ``` ## SDK Code Examples ```typescript SendVCardLink import { PayabliClient } from "@payabli/sdk-node"; async function main() { const client = new PayabliClient({ apiKey: "YOUR_API_KEY_HERE", }); await client.moneyOut.sendVCardLink({ transId: "01K33Z6YQZ6GD5QVKZ856MJBSC", }); } main(); ``` ```python SendVCardLink from payabli import payabli client = payabli( api_key="YOUR_API_KEY_HERE" ) client.money_out.send_v_card_link( trans_id="01K33Z6YQZ6GD5QVKZ856MJBSC" ) ``` ```csharp SendVCardLink using PayabliApi; using System.Threading.Tasks; namespace Usage; public class Example { public async Task Do() { var client = new PayabliApiClient( apiKey: "YOUR_API_KEY_HERE" ); await client.MoneyOut.SendVCardLinkAsync( new SendVCardLinkRequest { TransId = "01K33Z6YQZ6GD5QVKZ856MJBSC" } ); } } ``` ```go SendVCardLink package example import ( client "github.com/payabli/sdk-go/v/client" option "github.com/payabli/sdk-go/v/option" payabli "github.com/payabli/sdk-go/v" context "context" ) func do() { client := client.NewClient( option.WithApiKey( "YOUR_API_KEY_HERE", ), ) request := &payabli.SendVCardLinkRequest{ TransId: "01K33Z6YQZ6GD5QVKZ856MJBSC", } client.MoneyOut.SendVCardLink( context.TODO(), request, ) } ``` ```ruby SendVCardLink require 'uri' require 'net/http' url = URI("https://api-sandbox.payabli.com/api/vcard/send-card-link") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["requestToken"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"transId\": \"01K33Z6YQZ6GD5QVKZ856MJBSC\"\n}" response = http.request(request) puts response.read_body ``` ```java SendVCardLink import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api-sandbox.payabli.com/api/vcard/send-card-link") .header("requestToken", "") .header("Content-Type", "application/json") .body("{\n \"transId\": \"01K33Z6YQZ6GD5QVKZ856MJBSC\"\n}") .asString(); ``` ```php SendVCardLink request('POST', 'https://api-sandbox.payabli.com/api/vcard/send-card-link', [ 'body' => '{ "transId": "01K33Z6YQZ6GD5QVKZ856MJBSC" }', 'headers' => [ 'Content-Type' => 'application/json', 'requestToken' => '', ], ]); echo $response->getBody(); ``` ```swift SendVCardLink import Foundation let headers = [ "requestToken": "", "Content-Type": "application/json" ] let parameters = ["transId": "01K33Z6YQZ6GD5QVKZ856MJBSC"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api-sandbox.payabli.com/api/vcard/send-card-link")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```